﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Oak
{
    public abstract class Cliente : Pessoa
    {
        public string dataCadastro { get; protected set; }
        public string documento { get; protected set; }

    }
    public class ClienteFisico : Cliente
    {
        public string cpf { get; private set; }
        public ClienteFisico(int codigo,string nome, string endereco, string telefone, string dataCadastro, string cpf)
        {
            this.nome = nome;
            this.telefone = telefone;
            this.endereco = endereco;
            this.codigo = codigo;
            this.dataCadastro = dataCadastro;
            this.documento = this.cpf = cpf;
        }
    }
    public class ClienteJuridico : Cliente
    {
        public string cnpj { get; private set; }
        public int inscricao { get; private set; }
        public ClienteJuridico(int codigo,string nome, string endereco, string telefone, string dataCadastro, string cnpj, int inscricao)
        {
            this.nome = nome;
            this.telefone = telefone;
            this.endereco = endereco;
            this.codigo = codigo;
            this.dataCadastro = dataCadastro;
            this.documento = this.cnpj = cnpj;
            this.inscricao = inscricao;
        }
    }

}
