﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Threading;


namespace Oak
{
    public partial class Inicial : Form
    {
        List<object> ListaFornecedor = new List<object>();
        List<object> ListaCliente = new List<object>();
        List<object> ListaCompras = new List<object>();
        List<object> ListaVendas = new List<object>();
        List<object> ListaProdutos = new List<object>();
        List<object> ListaImprimir;


        string leitura,cabecalho;
        
        public Inicial()
        {
            InitializeComponent();
        }
        private void button1_Click(object sender, EventArgs e)
        {
            if (leitura == "Fornecedores" || leitura == "Clientes" || leitura == "Compras" || leitura == "Vendas" || leitura == "Produtos")
                openFileDialog1.ShowDialog();
            
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (ListaFornecedor.Count == 0 || ListaCompras.Count == 0 || ListaProdutos.Count == 0)
            {
                Insuficientes ini = new Insuficientes();
                ini.ShowDialog();
            }
            else
            {
                ListaImprimir = Relatorio.apagar(ListaFornecedor, ListaCompras, ListaProdutos);
                cabecalho = "Fornecedor;CNPJ;Pessoa de contato;Telefone;Total a pagar";
                saveFileDialog1.ShowDialog();
            }
            
        }

        private void button3_Click(object sender, EventArgs e)
        {
            if (ListaCliente.Count == 0 || ListaVendas.Count == 0 || ListaProdutos.Count == 0)
            {
                Insuficientes ini = new Insuficientes();
                ini.ShowDialog();
            }
            else
            {
                ListaImprimir = Relatorio.areceber(ListaCliente, ListaVendas, ListaProdutos);
                cabecalho = "Cliente;Tipo;CPF/CNPJ;Telefone;Data de cadastro;Total a pagar";
                saveFileDialog1.ShowDialog();
            }
           
        }

        private void openFileDialog1_FileOk(object sender, CancelEventArgs e)
        {
            switch (leitura)
            {
                case ("Fornecedores"):
                    if (ListaFornecedor.Count > 0)
                    {
                        Replace rep = new Replace(ref this.ListaFornecedor);
                        rep.ShowDialog();
                    }
                    foreach (string[] aux in (Arq.Ler(openFileDialog1.FileName)))
                        ListaFornecedor.Add(new Fornecedor(int.Parse(aux[0]), aux[1], aux[2], aux[3], aux[4], aux[5]));
                    break;
                case ("Clientes"):
                    if (ListaCliente.Count > 0)
                    {
                        Replace rep = new Replace(ref this.ListaCliente);
                        rep.ShowDialog();
                    }
                    foreach (string[] aux in (Arq.Ler(openFileDialog1.FileName)))
                        if (aux [5]=="F")
                            ListaCliente.Add(new ClienteFisico(int.Parse(aux[0]), aux[1], aux[2], aux[3], aux[4], aux[6]));
                        else
                            ListaCliente.Add(new ClienteJuridico(int.Parse(aux[0]), aux[1], aux[2], aux[3], aux[4], aux[6],int.Parse(aux[7])));
                    break;
                case ("Compras"):
                    if (ListaCompras.Count > 0)
                    {
                        Replace rep = new Replace(ref this.ListaFornecedor);
                        rep.ShowDialog();
                    }
                    foreach (string[] aux in (Arq.Ler(openFileDialog1.FileName)))
                        ListaCompras.Add(new Compra(int.Parse(aux[0]),int.Parse(aux[1]),aux[2],int.Parse(aux[3]),int.Parse(aux[4])));
                    break;
                case ("Produtos"):
                    if (ListaProdutos.Count > 0)
                    {
                        Replace rep = new Replace(ref this.ListaFornecedor);
                        rep.ShowDialog();
                    }
                    foreach (string[] aux in (Arq.Ler(openFileDialog1.FileName)))
                        ListaProdutos.Add(new Produto(int.Parse(aux[0]),aux[1],int.Parse(aux[2]),int.Parse(aux[3]),float.Parse(aux[4]),int.Parse(aux[5])));
                    break;
                case ("Vendas"):
                    if (ListaVendas.Count > 0)
                    {
                        Replace rep = new Replace(ref this.ListaFornecedor);
                        rep.ShowDialog();
                    }
                    foreach (string[] aux in (Arq.Ler(openFileDialog1.FileName)))
                        if (aux[4]=="F")
                            ListaVendas.Add(new Venda(int.Parse(aux[0]), aux[1], int.Parse(aux[2]), int.Parse(aux[3])));
                    break;
            }
        }
        private void saveFileDialog1_FileOk(object sender, CancelEventArgs e)
        {
            Arq.Escrever(saveFileDialog1.FileName, ListaImprimir, cabecalho );
        }

        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            leitura = (string)comboBox1.SelectedItem;
        }

    }
}
