﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Oak
{
    static class Relatorio
    {

        internal static List<object> apagar(List<dynamic> fornecedores, List<object> compras, List<object> produtos)
        {
            List<object> retorno = new List<object>();
            List<Apagar> lista = new List<Apagar>();
            foreach (Fornecedor f in fornecedores)
            {
                float soma = 0;
                foreach (Compra c in compras)
                    if (c == f)
                        foreach (Produto p in produtos)
                            if (c == p)
                                soma += p.valorCusto * c.quantidade;
                lista.Add(new Apagar(f.nome, f.cnpj, f.pessoaContato, f.telefone, soma));
            }
            lista.Sort();
            foreach (Apagar a in lista)
                retorno.Add(a);
            return retorno;
        }

        internal static List<object> areceber(List<dynamic> clientes, List<object> vendas, List<object> produtos)
        {
            List<object> retorno = new List<object>();
            List<Areceber> lista = new List<Areceber>();
            foreach (Cliente c in clientes)
            {
                float soma = 0;
                foreach (Venda v in vendas)
                    if (v == c)
                        foreach (Produto p in produtos)
                            if (v == p)
                                soma += p.valorVenda * v.quantidade;
                if (c.GetType()==typeof(ClienteFisico))
                    lista.Add(new Areceber(c.nome, "F", c.documento, c.telefone, c.dataCadastro, soma));
                else
                    lista.Add(new Areceber(c.nome,"J", c.documento, c.telefone, c.dataCadastro, soma));
            }
            lista.Sort();
            foreach (Areceber a in lista)
                retorno.Add(a);
            return retorno;
        }

    }
}
